## hgsubversion 1.3

=== Makefile ===
# Makefile for testing hgsubversion

PYTHON=python

.PHONY: all check check-demandimport check-subvertpy check-swig

all:
	@echo "Use the following commands to build and install hgsubversion:"
	@echo
	@echo "$$ cd $(PWD)"
	@echo "$$ $(PYTHON) ./setup.py install"
	@echo
	@exit 1

check: check-demandimport check-subvertpy check-swig

check-demandimport:
	# verify that hgsubversion loads properly without bindings, but fails
	# when actually used
	! LC_ALL=C HGSUBVERSION_BINDINGS=none \
	  hg --config extensions.hgsubversion=./hgsubversion \
	  version 2>&1 \
	  | egrep '(^abort:|failed to import extension)'
	LC_ALL=C HGSUBVERSION_BINDINGS=none \
	  hg --config extensions.hgsubversion=./hgsubversion \
	  version --svn 2>&1 \
	  | egrep '(^abort:|failed to import extension)'

check-subvertpy:
	$(PYTHON) tests/run.py --all --bindings=subvertpy

check-swig:
	$(PYTHON) tests/run.py --all --bindings=swig

## hgsubversion 1.2.1

=== debian/changelog ===
hgsubversion (1.2.1-2.1ubuntu0.1) oneiric-proposed; urgency=low

  * fix-mercurial-1.9-push.diff:
    - fix pushing with mercurial 1.9 (LP: #890194)
      Thanks to fqj1994 for the patch.

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 01 Jan 2012 16:58:45 +0100

hgsubversion (1.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (closes: #637399). Thanks to Javi Merino for the bug
    report.
    + Build depend on python (>= 2.6.6-3) instead of python-support.
    + Add ‘--with python2’ to dh call in debian/rules.
    + Bump minimum required version of mercurial to 1.9.1-1, which is the
      first version using dh_python2.
    + Remove python-support from Depends, add ${python:Depends} there.
  * Backport two patches from upstream VCS to fix compatibility with Mercurial
    1.9.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 17 Sep 2011 23:30:14 +0200

hgsubversion (1.2.1-2) unstable; urgency=medium

  * Delete README.source.
  * Wrong dependencies fixed (Closes: #633418).

 -- Qijiang Fan <fqj1994@gmail.com>  Sun, 10 Jul 2011 14:36:53 +0800

hgsubversion (1.2.1-1) unstable; urgency=low

  * Initial release (Closes: #577560).

 -- Qijiang Fan <fqj1994@gmail.com>  Tue, 10 May 2011 13:35:26 +0800

=== debian/control ===
Source: hgsubversion
Section: vcs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Qijiang Fan <fqj1994@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://bitbucket.org/durin42/hgsubversion
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/hgsubversion
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/hgsubversion

Package: hgsubversion
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mercurial (>= 1.9.1-1~), subversion(>=1.5), python-subvertpy(>= 0.7.4) | python-subversion
Description: Subversion client as Mercurial extension
 hgsubversion is an extension for Mercurial that 
 allows using Mercurial as a Subversion client.
 .
 At this point, hgsubversion is usable by users reasonably 
 familiar with Mercurial as a VCS. It's not recommended to 
 dive into hgsubversion as an introduction to Mercurial, 
 since hgsubversion "bends the rules" a little and violates 
 some of the typical assumptions of early Mercurial users.

## hgsubversion 1.3

=== debian/changelog ===
hgsubversion (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Qijiang Fan <fqj1994@gmail.com>  Tue, 25 Oct 2011 12:37:40 +0800

## hgsubversion 1.4

=== debian/changelog ===
hgsubversion (1.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.3. No changes needed.

 -- Qijiang Fan <fqj1994@gmail.com>  Fri, 08 Jun 2012 17:42:38 +0800

## hgsubversion 1.5

=== debian/changelog ===
hgsubversion (1.5-1) unstable; urgency=low

  * Move to debian sid from experimental.

 -- Qijiang Fan <fqj1994@gmail.com>  Sat, 20 Jul 2013 18:17:11 +0800

hgsubversion (1.5-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Qijiang Fan <fqj1994@gmail.com>  Thu, 15 Nov 2012 17:11:37 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: hgsubversion
 Section: vcs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Qijiang Fan <fqj1994@gmail.com>
+Maintainer: Qijiang Fan <fqj1994@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://bitbucket.org/durin42/hgsubversion
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/hgsubversion
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/hgsubversion

=== debian/rules ===
#!/usr/bin/make -f

MODULE_DIR = usr/lib/$(shell pyversions -d)/site-packages/hgext/

build:

clean:
	dh clean
	find $(CURDIR) -type f -name '*\.py[co]' -delete

install: build
	dh_installdirs $(MODULE_DIR)/hgsubversion
	cp hgsubversion/ -r debian/hgsubversion/$(MODULE_DIR)

binary-indep: install
	dh binary-indep --with python2

binary-arch:

build-arch: build

build-indep: build

binary: binary-indep binary-arch

patch unpatch:
	dh_quilt_$(@)

.PHONY: build clean binary-indep binary-arch binary install patch unpatch

=== debian/watch ===
version=3
https://bitbucket.org/durin42/hgsubversion/downloads /durin42/hgsubversion/get/([0-9\.]*)\.tar\.gz

## hgsubversion 1.6

=== debian/changelog ===
hgsubversion (1.6-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "some commands (like clone) fail" by adding patch
    from_upstream__layouts_fix_crash_when_importing_hgext_hgsubversion.patch
    (Closes: #742080)

 -- Javi Merino <vicho@debian.org>  Sat, 22 Mar 2014 15:45:58 +0000

hgsubversion (1.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "some commands (like clone) fail" by installing hgsubversion
    in sys.path (Closes: #742080)

 -- Javi Merino <vicho@debian.org>  Sat, 22 Mar 2014 14:18:29 +0000

hgsubversion (1.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #740672)
  * Use canonical URIs for Vcs-* fields.
  * Bump standards-version to 3.9.5 (no change needed)
  * Fix copyright format URI

 -- Javi Merino <vicho@debian.org>  Sat, 15 Mar 2014 12:22:31 +0100

hgsubversion (1.5.1-1) unstable; urgency=low

  * New upstream release. 

 -- Qijiang Fan <fqj1994@gmail.com>  Fri, 26 Jul 2013 22:39:21 +0800

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Qijiang Fan <fqj1994@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://bitbucket.org/durin42/hgsubversion
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/hgsubversion
-Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/hgsubversion
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/hgsubversion/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/hgsubversion/trunk
 
 Package: hgsubversion
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-MODULE_DIR = usr/lib/$(shell pyversions -d)/site-packages/hgext/
+MODULE_DIR = usr/lib/$(shell pyversions -d)/site-packages/
 
 build:

## hgsubversion 1.6.3

=== debian/changelog ===
hgsubversion (1.6.3-2) unstable; urgency=medium

  * Add autopkgtest
  * Upgrade debhelper compat to 9

 -- Javi Merino <vicho@debian.org>  Tue, 26 Aug 2014 14:16:15 -0700

hgsubversion (1.6.3-1) unstable; urgency=medium

  * New upstream release
  * Add myself as uploader
  * Remove patch
    from_upstream__layouts_fix_crash_when_importing_hgext_hgsubversion
    which is now included upstream
  * Run testsuite when building

 -- Javi Merino <vicho@debian.org>  Mon, 18 Aug 2014 07:55:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,19 @@
 Section: vcs
 Priority: extra
 Maintainer: Qijiang Fan <fqj1994@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
+Uploaders:
+        Javi Merino <vicho@debian.org>,
+Build-Depends:
+        debhelper (>= 9),
+        python (>= 2.6.6-3~),
+        mercurial,
+        subversion,
+        python-subvertpy,
 Standards-Version: 3.9.5
 Homepage: http://bitbucket.org/durin42/hgsubversion
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/hgsubversion/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/hgsubversion/trunk
+XS-Testsuite: autopkgtest
 
 Package: hgsubversion
 Architecture: all

=== debian/tests/control ===
Tests: hgsubversion
Depends: @

## hgsubversion 1.8

=== debian/changelog ===
hgsubversion (1.8-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6 (no change needed)

 -- Javi Merino <vicho@debian.org>  Sun, 26 Apr 2015 10:39:12 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
         mercurial,
         subversion,
         python-subvertpy,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://bitbucket.org/durin42/hgsubversion
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/hgsubversion/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/hgsubversion/trunk
+# Can go away once dpkg 1.17.11 hits stable
 XS-Testsuite: autopkgtest
 
 Package: hgsubversion

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

# "make all" gives instructions on how to install it *and* fails.  No
# need to build anything, so just skip it.
override_dh_auto_build:

# There's a Makefile but "make install" does absolutely nothing
override_dh_auto_install:
	python setup.py install --root $(CURDIR)/debian/hgsubversion --install-layout=deb

## hgsubversion 1.8.2

=== debian/changelog ===
hgsubversion (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sat, 15 Aug 2015 10:32:35 +0100

hgsubversion (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Drop "XS-Testsuite" as it's no longer needed
  * Build-depend on dh-python

 -- Javi Merino <vicho@debian.org>  Wed, 22 Jul 2015 12:25:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 # There's a Makefile but "make install" does absolutely nothing
 override_dh_auto_install:
 	python setup.py install --root $(CURDIR)/debian/hgsubversion --install-layout=deb
+
+override_dh_auto_test:
+	#Disable the testsuite.  It's broken in 1.8.2

## hgsubversion 1.8.3

=== debian/changelog ===
hgsubversion (1.8.3-1) unstable; urgency=medium

  * New upstream release
  * Fix autopkg test

 -- Javi Merino <vicho@debian.org>  Sun, 25 Oct 2015 15:31:38 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
         Javi Merino <vicho@debian.org>,
 Build-Depends:
         debhelper (>= 9),
+        dh-python,
         python (>= 2.6.6-3~),
         mercurial,
         subversion,
@@ -14,8 +15,6 @@
 Homepage: http://bitbucket.org/durin42/hgsubversion
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/hgsubversion/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/hgsubversion/trunk
-# Can go away once dpkg 1.17.11 hits stable
-XS-Testsuite: autopkgtest
 
 Package: hgsubversion
 Architecture: all

## hgsubversion 1.8.5

=== debian/changelog ===
hgsubversion (1.8.5-1ubuntu1) xenial; urgency=medium

  * debian/patches/717bf096197ecbd5c35fac899883db2c35fd21fe.patch
    fix testfailure about deprecated repo.parents()[0] call
    (now repo[None].parents()[0])

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2016 12:50:45 +0200

hgsubversion (1.8.5-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.7 (no change needed)
  * Use https for Homepage and Vcs-Browser
  * Remove patches
    from_upstream__accept_and_forward_kwargs_including_opargs.patch and
    from_upstream__exchangepush_accept_kwargs_and_just_forward_them.patc
    h as they are now included upstream

 -- Javi Merino <vicho@debian.org>  Thu, 10 Mar 2016 05:32:33 +0000

hgsubversion (1.8.3-2) unstable; urgency=medium

  * Add two patches from upstream to make hgsubversion compatible with
    mercurial 3.6

 -- Javi Merino <vicho@debian.org>  Mon, 30 Nov 2015 14:56:18 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
         mercurial,
         subversion,
         python-subvertpy,
-Standards-Version: 3.9.6
-Homepage: http://bitbucket.org/durin42/hgsubversion
+Standards-Version: 3.9.7
+Homepage: https://bitbucket.org/durin42/hgsubversion
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/hgsubversion/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/hgsubversion/trunk
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/hgsubversion/trunk
 
 Package: hgsubversion
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	python setup.py install --root $(CURDIR)/debian/hgsubversion --install-layout=deb
 
 override_dh_auto_test:
-	#Disable the testsuite.  It's broken in 1.8.2
+	#Disable the testsuite.  It's broken in 1.8.3

## hgsubversion 1.8.6

=== debian/changelog ===
hgsubversion (1.8.6-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.8 (no change needed)

 -- Javi Merino <vicho@debian.org>  Fri, 27 May 2016 12:02:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
         mercurial,
         subversion,
         python-subvertpy,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://bitbucket.org/durin42/hgsubversion
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/hgsubversion/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/hgsubversion/trunk

## hgsubversion 1.8.7+1517-b3e41b0d50a2

=== debian/changelog ===
hgsubversion (1.8.7+1517-b3e41b0d50a2-1) unstable; urgency=medium

  * New upstream snapshot.
    - 1.8.7 does not work with latest Mercurial.
  * Fix watch file.
  * Bump Standards-Version to 4.0.0 (no changes).
  * Add myself to Uploaders (taking over Mercurial from Javi Merino;
    thanks for your past work!)

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 11 Aug 2017 11:50:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Qijiang Fan <fqj1994@gmail.com>
 Uploaders:
         Javi Merino <vicho@debian.org>,
+        Tristan Seligmann <mithrandi@debian.org>,
 Build-Depends:
         debhelper (>= 9),
         dh-python,
@@ -11,7 +12,7 @@
         mercurial,
         subversion,
         python-subvertpy,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://bitbucket.org/durin42/hgsubversion
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/hgsubversion/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/hgsubversion/trunk

## hgsubversion 1.9.3

=== debian/changelog ===
hgsubversion (1.9.3-1) unstable; urgency=medium

  * New upstream version (Closes: #906652, #889899).
  * New maintainer (Closes: #825705).
  * Use debhelper 11.
  * Update Vcs-*.
  * Bump Standards-Version to 4.1.2 (no changes).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 29 Nov 2018 15:20:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: hgsubversion
 Section: vcs
 Priority: extra
-Maintainer: Qijiang Fan <fqj1994@gmail.com>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Uploaders:
         Javi Merino <vicho@debian.org>,
         Tristan Seligmann <mithrandi@debian.org>,
 Build-Depends:
-        debhelper (>= 9),
+        debhelper (>= 11),
         dh-python,
         python (>= 2.6.6-3~),
         mercurial,
         subversion,
         python-subvertpy,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://bitbucket.org/durin42/hgsubversion
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/hgsubversion/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/hgsubversion/trunk
+Vcs-Svn: https://salsa.debian.org/debian/hgsubversion.git
+Vcs-Browser: https://salsa.debian.org/debian/hgsubversion
 
 Package: hgsubversion
 Architecture: all

## hgsubversion 1.9.3+git20190419+6a6ce

=== Makefile ===
--- 
+++ 
@@ -17,11 +17,11 @@
 check-demandimport:
 	# verify that hgsubversion loads properly without bindings, but fails
 	# when actually used
-	! LC_ALL=C HGSUBVERSION_BINDINGS=none \
+	! LC_ALL=C HGSUBVERSION_BINDINGS=none HGRCPATH=/dev/null \
 	  hg --config extensions.hgsubversion=./hgsubversion \
 	  version 2>&1 \
 	  | egrep '(^abort:|failed to import extension)'
-	LC_ALL=C HGSUBVERSION_BINDINGS=none \
+	LC_ALL=C HGSUBVERSION_BINDINGS=none HGRCPATH=/dev/null \
 	  hg --config extensions.hgsubversion=./hgsubversion \
 	  version --svn 2>&1 \
 	  | egrep '(^abort:|failed to import extension)'

=== debian/changelog ===
hgsubversion (1.9.3+git20190419+6a6ce-3ubuntu2) focal; urgency=medium

  * Build-depend on python-all.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Mar 2020 16:27:56 +0100

hgsubversion (1.9.3+git20190419+6a6ce-3ubuntu1) focal; urgency=medium

  * Drop alternative depends on python-subversion bindings, they are going
    away, until they are fixed to work with swig4.0.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 06 Mar 2020 05:58:59 +0000

hgsubversion (1.9.3+git20190419+6a6ce-3) unstable; urgency=medium

  * Also install the extension for Python 3 Mercurial.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 24 Dec 2019 16:50:06 +0100

hgsubversion (1.9.3+git20190419+6a6ce-2) unstable; urgency=medium

  [ Julien Cristau ]
  * Fix peerrepository import (Closes: #944362).
  * Clean up better after autopkgtest fails.

  [ Andrej Shadura ]
  * Require Mercurial 5.2.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 08 Nov 2019 17:12:17 +0100

hgsubversion (1.9.3+git20190419+6a6ce-1) unstable; urgency=medium

  * New upstream snapshot (Closes:  #939816).
  * Vcs-Git, not Vcs-Svn.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Change priority extra to priority optional.
  * Run wrap-and-sort -bask.
  * Use debhelper-compat instead of debian/compat.
  * Use debhelper-compat 12.
  * Update dependency on Mercurial (needs 3.7 or later).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 16 Sep 2019 19:30:22 +0200

=== debian/control ===
Source: hgsubversion
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrej Shadura <andrewsh@debian.org>
Uploaders:
 Javi Merino <vicho@debian.org>,
 Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 mercurial (>= 5.2-1~),
 python-all,
 python3,
 python-subvertpy,
 python3-subvertpy,
 subversion
Standards-Version: 4.1.2
Homepage: https://bitbucket.org/durin42/hgsubversion
Vcs-Git: https://salsa.debian.org/debian/hgsubversion.git
Vcs-Browser: https://salsa.debian.org/debian/hgsubversion

Package: hgsubversion
Architecture: all
Depends:
 mercurial (>= 5.2-1~),
 python-subvertpy(>= 0.7.4),
 python3-subvertpy(>= 0.7.4),
 subversion (>= 1.5),
 ${misc:Depends},
 ${python:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: Subversion client as Mercurial extension
 hgsubversion is an extension for Mercurial that
 allows using Mercurial as a Subversion client.
 .
 At this point, hgsubversion is usable by users reasonably
 familiar with Mercurial as a VCS. It's not recommended to
 dive into hgsubversion as an introduction to Mercurial,
 since hgsubversion "bends the rules" a little and violates
 some of the typical assumptions of early Mercurial users.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYTHONPATH = debian/fake-python-path

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	mkdir -p debian/fake-python-path
	[ ! -d /usr/lib/python3/dist-packages/mercurial ] && \
	[ -d /usr/lib/python2.7/dist-packages/mercurial ] && \
	ln -s /usr/lib/python2.7/dist-packages/mercurial debian/fake-python-path/mercurial || \
	true
	dh_auto_configure

override_dh_auto_test:
	#Disable the testsuite.  It's broken in 1.8.3

=== debian/tests/control ===
Tests: hgsubversion

=== debian/watch ===
version=3
https://bitbucket.org/durin42/hgsubversion/downloads/?tab=tags /durin42/hgsubversion/get/([0-9\.]*)\.tar\.gz
